CopyHero

List Watched Product Revisions

GET
/api/v1/watchlist/products/{watched_product_id}/revisions

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

watched_product_id*Watched Product Id
Formatuuid

Query Parameters

limit?Limit
Range1 <= value <= 200
Default50

Response Body

Successful Response

application/json
  1. response
[index: integer]?

One row of a product's revision-history timeline. Deliberately lightweight — no body_html / children — for GET /products/{id}/revisions.

Example Request
curl -X GET 'https://app.copyhero.app/api/v1/watchlist/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/revisions'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created_at": "2019-08-24T14:15:22Z",    "actor_type": "workflow",    "title": "string",    "is_head": true  }]